Você pode encontrar um único código de erro indicando que o autoreconf keep control on não foi encontrado no sistema operacional mac x. Existem várias maneiras de resolver esse problema, e certamente as discutiríamos em breve.

Qual é o problema do seu computador? Resolva todos eles em um clique com a melhor ferramenta de reparo do Windows disponível.

Se você estiver usando cerveja e autoreconf for uma parte de serviço de todo o pacote autoconf , instale o site online via: < /p>

  preparar comprar autoconf 

Se o problema persistir, sua organização deve considerar reinstalar além de links . Use track autoreconf find para descobrir onde está.

Também desenvolva se / usr / bairro / bin / autoreconf existe (e está vinculado diretamente ao local correto com frequência) e que cada um tem / usr / condado / bin Acesso de caminho que foi adicionado a / e muitos / caminhos de seu arquivo valioso.

Atualização: basta usar o Homebrew para instalar esses sistemas e seguir em frente.

Instale o Homebrew e apenas instale os pacotes autoconf , automake e nível libtool como um

  brew install autoconf automake libtool 

Quando respondi há 3 anos, a ideia passou a ser consertar uma solução anterior que estava desatualizada, tinha apenas links e além disso não era explicada no detalhamento. Na época, eu preferia usar a Raw Source Library em torno do macOS para uma tarefa semelhante à de uma equipe de pacotes como o Homebrew, já que, na época, eu só achava Homebrew e Fabulous MacPorts um pouco imaturos.

Agora comecei a me beneficiar regularmente do Homebrew (também conhecido como coffee ) no macOS, pois estou completamente apt-get no Ubuntu e yum > Eu me beneficio disso no CentOS. Eu recomendaria evitar compilar coisas causadas por código-fonte natural e orgânico no macOS, a menos que realmente tenhamos outra escolha.

Fiquei com a impressão de que essa pergunta parece ter cerca de 3 anos, mas a resposta aceita provavelmente é na verdade apenas uma resposta normalmente do link e esse link talvez não esteja funcionando no momento. E outra resposta adicional é tecnicamente correta, mas uma contra a outra ainda explica que esse processo útil em particular requer que as versões GNU de autoconf , automake sejam instaladas. libtool obrigatório também no Mac OS X.

Primeiro, o Xcode - acredito que desde pelo menos algumas versões - não contém mais os métodos GNU autoconf , automake além disso, libtool . Isso significa que você não pode instalar nenhuma ferramenta GNU por conta própria. E, idealmente, é assim que funciona.

Eu usei este processo com problema de número com Mac OS dez x.6 (Snow Leopard), 10.7 (Lion), 10.8 (Mountain Lion) e 10.9 (Mavericks).

InstallXcode Além das Ferramentas de Linha de Comando do Xcode.

O primeiro ponto é que o Xcode também é adicionado com a série de ferramentas de comando Xcode. Se alguém precisar dos arquivos autoconf , automake além dos arquivos libtool , é provável que esses itens já tenham Xcode e geralmente ferramentas de linha de comando ... indicam que para obter os que estão lá, ainda não existe essa configuração.

Bem, vá para a exposição! Apenas tenha em mente que os números da versão de download permanecem baseados na reputação atual (em abril de 2015) e foram bem empregados no momento da redação deste artigo. Adapte-se a outras versões assumindo que você precisa de autoconf para:

Instale 2.69.

CD
  curl -O -L http://ftpmirror.gnu.org/autoconf/autoconf-2.69.tar.gztar -xzf autoconf-2.69.tar.gz 
  disco compacto autoconf- *   ./configure Faça 

  
  sudo realizar instalação 

Verifique sua versão recém-colocada do autoconf no caminho para ter certeza de que tudo correu bem:

  autoconf --version   

autoconf 2.69

Instale o Automake 1.15.

CD

  curl -O -L http://ftpmirror.gnu.org/automake/automake-1.15.tar.gztar -xzf automake-1.15.tar.gz 
  CD-Automake- *   ./configure Faça 

  
  sudo make install autoreconf command not have found mac os x

Confira meu marido e minha nova versão do automake para ter certeza de que tudo correu bem:

  automake --version  

geração automática 1.15

Instale o Libtool 2.4.6.

CD

  curl -OL http://ftpmirror.gnu.org/libtool/libtool-2.4.6.tar.gztar -xzf libtool-2.4.6.tar.gz 
  cd libtool- * 

Conserte seu computador agora com Reimage

Seu computador está lento, travando ou dando a tela azul da morte? Não tenha medo, a ajuda está aqui! Com o Reimage, você pode reparar erros comuns do Windows de maneira rápida e fácil, proteger seus arquivos contra perda ou corrupção e otimizar seu PC para obter o máximo desempenho. Portanto, não sofra mais com um computador lento e desatualizado - baixe o Reimage e recupere sua vida!

  • Etapa 1: baixar e instalar o Reimage
  • Etapa 2: inicie o programa e selecione seu idioma
  • Etapa 3: siga as instruções na tela para iniciar uma verificação de erros em seu computador


  • ./configure Faça

      
    
      sudo make install 
    

    Verifique a variedade libtool que foi instalada recentemente através de sua página man para ajudar a garantir que tudo correu bem:

      libtool 
    

    Definitivamente, em várias das primeiras páginas, um colega deve ter algo para se divertir:

    libtool - páginas man para obter libtool 2.4.6

      npm I mozjpeg-binnpm WARNING obsoleto [email protected]: Graceful-fs v3.0.0 combinado com anterior não funcionará em node> = v7.0. Por favor, comece além de [email protected]^4.0.0 o mais rápido possível. Use "npm mark vii graceful-fs" para exibi-lo em uma árvore específica.> [email protected] postinstall / Usuários / eu mesmo / projeto / node_modules versus mozjpeg-bin> Nó Postinstall.jsA construção do cérebro...(nó: 2942) fs: Fontes para o módulo de reavaliação natural não identificadas. Se alguém estiver usando o módulo fs, por favor, atualize-o para uma versão mais quente.✓— O comando não funciona mais: autoreconf -fiv && ./configure --prefix = "/ Users / me / project node_modules / mozjpeg-bin / bin" --bindir implica "/ Users / me / installation / node_modules / mozjpeg - compost bin / bin "&& --libdir =" para cada usuário / me / projeto por node_modules / mozjpeg-bin / container "make install/bin/sh:autoreconf: acredito que não encontre 
    

    Eu quero executar autoconf , automake , m4 e similares... Xcode 4.2.1. Rrssue é o que eu tento ou instalo, que deve depender do autoconf . Então eu tento o que o autoconf certamente deve instalar e recebo:

      configure.ac:30: Automake 1.11 é necessário, mas infelizmente 1.10 
    
      configure.ac:20: Erro: Requer Autoconf versão 2.68 ou superiorconfigure.ac:20: nível mais altoautom4te: Erro em / usr versus bin / gm4 com exit fame: 63alocal.tmp: erro: autom4te atingiu uma membrana de parede com status: ingate 63 autoreconf palavra de comando não encontrada mac computer x

    O seu computador está lento? Corrija-o com o Reimage, o único software que pode corrigir uma ampla variedade de problemas relacionados ao Windows.

    Autoreconf Command Not Found Mac Os X
    Autoreconf Opdracht Niet Gevonden Mac Os X
    Autoreconf Befehl Nicht Gefunden Mac Os X
    Commande Autoreconf Introuvable Mac Os X
    Nie Znaleziono Polecenia Autoreconf Mac Os X
    Komanda Autoreconf Ne Najdena Mac Os X
    Autoreconf 명령을 찾을 수 없습니다 Mac Os X
    Comando Autoreconf No Encontrado Mac Os X
    Comando Autoreconf Non Trovato Mac Os X
    Autoreconf Kommandot Hittades Inte Mac Os X